Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11
Class Slot

    java.lang.Object
      iaik.pkcs.pkcs11.Slot

public class Slot
extends Object

Objects of this class represet slots that can accpet tokens. The application can get a token object, if there is one present, by calling getToken. This may look like this:

       Token token = slot.getToken();

       // to ensure that there is a token present in the slot
       if (token != null) {
         // ... work with the token
       }

See Also:
  `SlotInfo`, `Token`
Invariants
  (module_ <> null)

Field Summary
`protected Module` | `module_` The module that created this slot object.
`protected long` | `slotID_` The indentifier of the slot.

Constructor Summary
`protected` | `Slot(Module module, long slotID)` The constructor that takes a reference to the module and the slot ID.

Method Summary
`boolean` | `equals(Object otherObject)` Compares the slot ID and the module_ of this object with the slot ID and module_ of the other object.
`Module` | `getModule()` Get the module that created this Slot object.
`long` | `getSlotID()` Get the ID of this slot.
`SlotInfo` | `getSlotInfo()` Get information about this slot object.
`Token` | `getToken()` Get an object for handling the token that is currently present in this slot, or null, if there is no token present.
`int` | `hashCode()` The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
`String` | `toString()` Returns the string representation of this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### module_

    protected Module module_

  The module that created this slot object.

### slotID_

    protected long slotID_

  The indentifier of the slot.

Constructor Detail

### Slot

    protected Slot(Module module,
                   long slotID)

  The constructor that takes a reference to the module and the slot ID.

Parameters:
  `module` - The reference to the module of this slot.
  `slotID` - The identifier of the slot.
Preconditions
  (pkcs11Module <> null)
Postconditions

Method Detail

### equals

    public boolean equals(Object otherObject)

  Compares the slot ID and the module_ of this object with the slot ID and module_ of the other object. Returns only true, if both are equal.

  Parameters:
    `otherObject` - The other Slot object.
  Returns:
    True, if other is an instance of Slot and the slot ID and module_ of both objects are equal. False, otherwise.
  Preconditions
  Postconditions

### getModule

    public Module getModule()

  Get the module that created this Slot object.

  Returns:
    The module of this slot.
  Preconditions
  Postconditions

### getSlotID

    public long getSlotID()

  Get the ID of this slot. This is the ID returned by the PKCS#11 module.

  Returns:
    The ID of this slot.
  Preconditions
  Postconditions

### getSlotInfo

    public SlotInfo getSlotInfo()
                         throws TokenException

  Get information about this slot object.

  Returns:
    An object that contains informatin about this slot.
  Throws:
    `TokenException` - If reading the information fails.
  Preconditions
  Postconditions
    (result <> null)

### getToken

    public Token getToken()
                   throws TokenException

  Get an object for handling the token that is currently present in this slot, or null, if there is no token present.

  Returns:
    The object for accessing the token. Or null, if none is present in this slot.
  Throws:
    `TokenException` - If determining if a token is present fails.
  Preconditions
  Postconditions

### hashCode

    public int hashCode()

  The overriding of this method should ensure that the objects of this class work correctly in a hashtable.

  Returns:
    The hash code of this object. Gained from the slot ID.
  Preconditions
  Postconditions

### toString

    public String toString()

  Returns the string representation of this object.

  Returns:
    the string representation of this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.